.. index::
   pair: Sphinx ; Tutorials
   pair: Sphinx Tutorials; Openalea
   pair: Sphinx Tutorials; Geoserver
   pair: Sphinx Tutorials; Python
   pair: Sphinx Tutorials; Plone
   pair: Sphinx ; github fork and edit button

.. _sphinx_tutorials:


=======================
Sphinx tutorials
=======================

sphinx-material
====================


- https://bashtage.github.io/sphinx-material/rst-cheatsheet/rst-cheatsheet.html
- https://bashtage.github.io/sphinx-material/index.html

Rest Sphinx
============


- http://sphinx-doc.org/latest/index.html
- http://rest-sphinx-memo.readthedocs.org/en/latest/ReST.html
- http://rest-sphinx-memo.readthedocs.org/en/latest/References.html


Python
======


- http://docs.python.org/dev/documenting/



matplotlib
===========

- http://matplotlib.sourceforge.net/sampledoc/

This is a tutorial introduction to quickly get you up and running with
your own sphinx documentation system.  We'll cover installing sphinx,
customizing the look and feel, using custom extensions for embedding
plots, inheritance diagrams, syntax highlighted ipython sessions and
more.  If you follow along the tutorial, you'll start with nothing and
end up with this site -- it's the bootstrapping documentation tutorial
that writes itself!



Plone
=====


- https://docs.plone.org/about/index.html
- https://github.com/collective/collective.developermanual

.. _github_fork_and_edit_button:

Github Fork and Edit button
-----------------------------------------------


- :ref:`github_fork_and_edit_button`
- https://github.com/blog/844-forking-with-the-edit-button
- https://confluence.atlassian.com/display/BITBUCKET/Fork+a+Repo,+Compare+Code,+and+Create+a+Pull+Request

You can commit file edits through GitHub web interface using Fork and Edit button
Alternative, clone the repository using git, perform changes and push them back

Plone collective GitHub repository has open-for-all contribution access.
If you want to contribute changes without asking the maintainers to merge
them, please add your GitHub username to your profile on plone.org and
request access here_.


.. _here: http://dev.plone.org/wiki/ContributeCollective

Geoserver
=========


- http://docs.geoserver.org/trunk/en/docguide/sphinx.html



.. index::
   pair: Sphinx ; Style Guide
   pair: Sphinx ; Guide style


Documentation style guide sphinx
=================================

- https://github.com/benoitbryon/documentation-style-guide-sphinx



Documentation style guide mercurial
====================================

- http://mercurial.selenic.com/wiki/HelpStyleGuide#Sections
